> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dqlabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Document

> Document endpoints: Create Documentation, Get Latest Documentations, Get Documentations By Object, Get Documentation, Get Documentations List, Update Documentation, Delete Documentation

<script type="application/ld+json">
  {`{
            "@context": "https://schema.org",
            "@type": "TechArticle",
            "headline": "Document",
            "description": "Document endpoints: Create Documentation, Get Latest Documentations, Get Documentations By Object, Get Documentation, Get Documentations List, Update Documentation, Delete Documentation",
            "url": "https://docs.dqlabs.ai/api-reference/core/document",
            "publisher": {
              "@type": "Organization",
              "name": "DQLabs Inc",
              "logo": "https://media.brand.dev/332adc35-5bc4-4d2b-bf78-256aa4a5e414.svg"
            }
            }`}
</script>

<Tabs>
  <Tab title="Create Documentation">
    `POST /api/v1/core/document`

    Create a new asset document in the database.

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/core/document" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Create a new asset document in the database.",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Get Latest Documentations">
    `POST /api/v1/core/document/latest`

    Get latest documents with pagination, sorting, filtering and search.

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">
      <ResponseField name="data" type="object[]">
        <ResponseField name="id" type="string">
          Example: `"ba07a1c1-82f1-4a85-b598-c5bd2e5bfb1a"`.
        </ResponseField>

        <ResponseField name="category" type="string">
          Example: `"tag"`.
        </ResponseField>

        <ResponseField name="object_id" type="string">
          Example: `"5fe4b86b-d2a3-4c41-8ff9-2462f6724e7e"`.
        </ResponseField>

        <ResponseField name="object_qualified_name" type="string">
          Example: `"governance_tag"`.
        </ResponseField>

        <ResponseField name="name" type="string">
          Example: `"document"`.
        </ResponseField>

        <ResponseField name="content" type="object[]" />

        <ResponseField name="created_at" type="string">
          Example: `"2026-09-20T05:07:49.872544Z"`.
        </ResponseField>

        <ResponseField name="created_by" type="string">
          Example: `"87efd845-c1f5-4c65-8a2a-1ecc91736c30"`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="total_count" type="integer">
        Example: `3`.
      </ResponseField>
    </ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/core/document/latest" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get latest documents with pagination, sorting, filtering and search.",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {
        "data": [
          {
            "id": "ba07a1c1-82f1-4a85-b598-c5bd2e5bfb1a",
            "category": "tag",
            "object_id": "5fe4b86b-d2a3-4c41-8ff9-2462f6724e7e",
            "object_qualified_name": "governance_tag",
            "name": "document",
            "content": [],
            "created_at": "2026-09-20T05:07:49.872544Z",
            "created_by": "87efd845-c1f5-4c65-8a2a-1ecc91736c30"
          }
        ],
        "total_count": 3
      }
    }
    ```
  </Tab>

  <Tab title="Get Documentations By Object">
    `POST /api/v1/core/document/{category}/{objectId}`

    Get Documentations By Object

    **Path Parameters**

    <ParamField path="category" type="string" required={true}>
      Example: \`\`
    </ParamField>

    <ParamField path="objectId" type="string" required={true}>
      Example: \`\`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/core/document/{category}/{objectId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get Documentations By Object",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Get Documentation">
    `GET /api/v1/core/document/{documentId}`

    Get a document by its ID.

    **Path Parameters**

    <ParamField path="documentId" type="string" required={true}>
      Example: \`\`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">
      <ResponseField name="id" type="string">
        Example: `"ba07a1c1-82f1-4a85-b598-c5bd2e5bfb1a"`.
      </ResponseField>

      <ResponseField name="category" type="string">
        Example: `"tag"`.
      </ResponseField>

      <ResponseField name="object_id" type="string">
        Example: `"5fe4b86b-d2a3-4c41-8ff9-2462f6724e7e"`.
      </ResponseField>

      <ResponseField name="object_qualified_name" type="string">
        Example: `"governance_tag"`.
      </ResponseField>

      <ResponseField name="name" type="string">
        Example: `"document"`.
      </ResponseField>

      <ResponseField name="content" type="object[]">
        <ResponseField name="id" type="string">
          Example: `"block-513e285d87ad488793126debaa1a0fcd"`.
        </ResponseField>

        <ResponseField name="type" type="string">
          Example: `"heading2"`.
        </ResponseField>

        <ResponseField name="content" type="string">
          Example: `"​Colgate Financial Policy​"`.
        </ResponseField>

        <ResponseField name="position" type="integer">
          Example: `0`.
        </ResponseField>

        <ResponseField name="textColor" type="string">
          Example: `"inherit"`.
        </ResponseField>

        <ResponseField name="backgroundColor" type="string">
          Example: `"transparent"`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="created_at" type="string">
        Example: `"2026-09-20T05:07:49.872544Z"`.
      </ResponseField>

      <ResponseField name="created_by" type="string">
        Example: `"87efd845-c1f5-4c65-8a2a-1ecc91736c30"`.
      </ResponseField>
    </ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/core/document/{documentId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>"
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get a document by its ID.",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {
        "id": "ba07a1c1-82f1-4a85-b598-c5bd2e5bfb1a",
        "category": "tag",
        "object_id": "5fe4b86b-d2a3-4c41-8ff9-2462f6724e7e",
        "object_qualified_name": "governance_tag",
        "name": "document",
        "content": [
          {
            "id": "block-513e285d87ad488793126debaa1a0fcd",
            "type": "heading2",
            "content": "​Colgate Financial Policy​",
            "position": 0,
            "textColor": "inherit",
            "backgroundColor": "transparent"
          }
        ],
        "created_at": "2026-09-20T05:07:49.872544Z",
        "created_by": "87efd845-c1f5-4c65-8a2a-1ecc91736c30"
      }
    }
    ```
  </Tab>

  <Tab title="Get Documentations List">
    `POST /api/v1/core/document/list`

    Get all documents with pagination, sorting, filtering and search.

    **Request Body**

    <ParamField body="pagination" type="object">
      <ParamField body="page" type="integer">
        Example: `1`.
      </ParamField>

      <ParamField body="pageSize" type="integer">
        Example: `10`.
      </ParamField>
    </ParamField>

    <ParamField body="sorting" type="object[]" />

    <ParamField body="filters" type="object[]" />

    <ParamField body="search" type="string">
      Example: `""`.
    </ParamField>

    <ParamField body="export" type="boolean">
      Example: `false`.
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">
      <ResponseField name="data" type="object[]">
        <ResponseField name="id" type="string">
          Example: `"ba07a1c1-82f1-4a85-b598-c5bd2e5bfb1a"`.
        </ResponseField>

        <ResponseField name="category" type="string">
          Example: `"tag"`.
        </ResponseField>

        <ResponseField name="object_id" type="string">
          Example: `"5fe4b86b-d2a3-4c41-8ff9-2462f6724e7e"`.
        </ResponseField>

        <ResponseField name="object_qualified_name" type="string">
          Example: `"governance_tag"`.
        </ResponseField>

        <ResponseField name="name" type="string">
          Example: `"document"`.
        </ResponseField>

        <ResponseField name="content" type="object[]">
          <ResponseField name="id" type="string">
            Example: `"block-513e285d87ad488793126debaa1a0fcd"`.
          </ResponseField>

          <ResponseField name="type" type="string">
            Example: `"heading2"`.
          </ResponseField>

          <ResponseField name="content" type="string">
            Example: `"​Colgate Financial Policy​"`.
          </ResponseField>

          <ResponseField name="position" type="integer">
            Example: `0`.
          </ResponseField>

          <ResponseField name="textColor" type="string">
            Example: `"inherit"`.
          </ResponseField>

          <ResponseField name="backgroundColor" type="string">
            Example: `"transparent"`.
          </ResponseField>
        </ResponseField>

        <ResponseField name="created_at" type="string">
          Example: `"2026-09-20T05:07:49.872544Z"`.
        </ResponseField>

        <ResponseField name="created_by" type="string">
          Example: `"87efd845-c1f5-4c65-8a2a-1ecc91736c30"`.
        </ResponseField>
      </ResponseField>

      <ResponseField name="total_count" type="integer">
        Example: `3`.
      </ResponseField>
    </ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/core/document/list" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{
        "pagination": {
          "page": 1,
          "pageSize": 10
        },
        "sorting": [],
        "filters": [],
        "search": "",
        "export": false
      }'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Get all documents with pagination, sorting, filtering and search.",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {
        "data": [
          {
            "id": "ba07a1c1-82f1-4a85-b598-c5bd2e5bfb1a",
            "category": "tag",
            "object_id": "5fe4b86b-d2a3-4c41-8ff9-2462f6724e7e",
            "object_qualified_name": "governance_tag",
            "name": "document",
            "content": [
              {
                "id": "block-513e285d87ad488793126debaa1a0fcd",
                "type": "heading2",
                "content": "​Colgate Financial Policy​",
                "position": 0,
                "textColor": "inherit",
                "backgroundColor": "transparent"
              }
            ],
            "created_at": "2026-09-20T05:07:49.872544Z",
            "created_by": "87efd845-c1f5-4c65-8a2a-1ecc91736c30"
          }
        ],
        "total_count": 3
      }
    }
    ```
  </Tab>

  <Tab title="Update Documentation">
    `PUT /api/v1/core/document/{documentId}`

    Update an existing document in the database.

    **Path Parameters**

    <ParamField path="documentId" type="string" required={true}>
      Example: \`\`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X PUT "https://<your-workspace>.prizmdata.ai/api/v1/core/document/{documentId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>" \
        -H "Content-Type: application/json" \
        -d '{}'
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Update an existing document in the database.",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>

  <Tab title="Delete Documentation">
    `DELETE /api/v1/core/document/{documentId}`

    Delete a document by its ID.

    **Path Parameters**

    <ParamField path="documentId" type="string" required={true}>
      Example: \`\`
    </ParamField>

    **Response**

    <ResponseField name="success" type="boolean">Whether the request completed successfully</ResponseField>

    <ResponseField name="message" type="string">Human-readable result message</ResponseField>

    <ResponseField name="timestamp" type="string">ISO 8601 server timestamp</ResponseField>

    <ResponseField name="correlation_id" type="string">Unique ID for this request</ResponseField>

    <ResponseField name="data" type="object">The endpoint's response payload.</ResponseField>

    **Example**

    <CodeGroup>
      ```bash cURL theme={null}
      curl -X DELETE "https://<your-workspace>.prizmdata.ai/api/v1/core/document/{documentId}" \
        -H "Authorization: Bearer <YOUR_API_TOKEN>"
      ```
    </CodeGroup>

    ```json Response theme={null}
    {
      "success": true,
      "message": "Delete a document by its ID.",
      "timestamp": "2026-09-21T09:43:50.316067+00:00",
      "correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
      "data": {}
    }
    ```
  </Tab>
</Tabs>
